/* ----- pklad 1. ----- */
#include <stdio.h>
#include <proc/sysinfo.h>	/* meminfo()      */
#include <proc/whattime.h>	/* print_uptime() */

#define RE_ERROR	1
#define RE_OK		0

   int main()
   {
      unsigned **mem;	
   
      puts("\nUPTIME:");                           
      print_uptime();	
   
      if (!(mem = meminfo())) 
         exit(RE_ERROR);
   
      puts("\nSYSTEM MEMORY (kB):");                           
      printf("\tTotal  : %u\n",  (mem[meminfo_main][meminfo_total]   >> 10));
      printf("\tFree   : %u\n",  (mem[meminfo_main][meminfo_free]    >> 10));
      printf("\tUsed   : %u\n",  (mem[meminfo_main][meminfo_used]    >> 10));
      printf("\tShared : %u\n",  (mem[meminfo_main][meminfo_shared]  >> 10));
      printf("\tBuffers: %u\n",  (mem[meminfo_main][meminfo_buffers] >> 10));
      printf("\tCached : %u\n",  (mem[meminfo_main][meminfo_cached]  >> 10));
      puts("\nSYSTEM SWAP (kB):");                           
      printf("\tTotal  : %u\n",  (mem[meminfo_swap][meminfo_total]   >> 10));
      printf("\tFree   : %u\n",  (mem[meminfo_swap][meminfo_free]    >> 10));   
      printf("\tUsed   : %u\n\n",(mem[meminfo_swap][meminfo_used]    >> 10));
   
      exit(RE_OK);
   }
